libetonyek::IWORKDataElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKDataElement Class Reference

`#include <IWORKDataElement.h>`

Inheritance diagram for libetonyek::IWORKDataElement:

## Public Member Functions
| IWORKDataElement (IWORKXMLParserState &state, IWORKDataPtr_t &data, boost::optional< IWORKColor > &fillColor)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKDataPtr_t & | m_data
boost::optional< IWORKColor > & | m_fillColor
boost::optional< std::string > | m_displayName
RVNGInputStreamPtr_t | m_stream
boost::optional< std::string > | m_mimeType

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextEmpty
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKDataElement()

libetonyek::IWORKDataElement::IWORKDataElement | ( | IWORKXMLParserState & | state,
|  | IWORKDataPtr_t & | data,
|  | boost::optional< IWORKColor > & | fillColor )

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKDataElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKDataElement::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_data

IWORKDataPtr_t& libetonyek::IWORKDataElement::m_data
| private

Referenced by endOfElement(), and IWORKDataElement().

## ◆ m_displayName

boost::optional<std::string> libetonyek::IWORKDataElement::m_displayName
| private

Referenced by attribute(), endOfElement(), and IWORKDataElement().

## ◆ m_fillColor

boost::optional<IWORKColor>& libetonyek::IWORKDataElement::m_fillColor
| private

Referenced by attribute(), and IWORKDataElement().

## ◆ m_mimeType

boost::optional<std::string> libetonyek::IWORKDataElement::m_mimeType
| private

Referenced by attribute(), endOfElement(), and IWORKDataElement().

## ◆ m_stream

RVNGInputStreamPtr_t libetonyek::IWORKDataElement::m_stream
| private

Referenced by attribute(), endOfElement(), and IWORKDataElement().

The documentation for this class was generated from the following files:

- IWORKDataElement.h
- IWORKDataElement.cpp